package net.wanji.opt.vo;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import net.wanji.common.utils.tool.JacksonUtils;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @author duanruiming
 * @date 2024/11/21 11:04
 */
@Data
@ApiModel(value = "GreenBeltChartVO", description = "绿波时序图返回实体")
@JsonIgnoreProperties(ignoreUnknown = true)
public class GreenBeltChartVO {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty("绿波路口红灯范围")
    @JsonProperty("crossRedTimesMap")
    String crossRedTimesMap;
    @ApiModelProperty("反向绿波路口红灯范围")
    @JsonProperty("backCrossRedTimesMap")
    String backCrossRedTimesMap;
    @ApiModelProperty("绿波路口绿波开始时间")
    @JsonProperty("greenStartMap")
    String greenStartMap;
    @ApiModelProperty("反向绿波路口绿波开始时间")
    String BackGreenStartMap;
    @JsonProperty("distanceMap")
    @ApiModelProperty("绿波路口距离下一个路口距离")
    String distanceMap;
    @ApiModelProperty("绿波带宽")
    private Double greenWidthTime;
    @ApiModelProperty("反向绿波带宽")
    private Double BackGreenWidthTime;
    private String decideSpeed;
    private String backDecideSpeed;

    @JsonCreator
    public GreenBeltChartVO(){
    }
}
